import type { DatePickerValue } from "../../../../../querying/filters/types";
import * as Lib from "../../../../../../metabase-lib";
export declare function getFilterName(query: Lib.Query, stageIndex: number, filter: Lib.FilterClause | undefined): string | undefined;
export declare function getSelectedOption(value: DatePickerValue | undefined): import("../../../../../querying/filters/types").ShortcutOption | undefined;
export declare function getVisibleOptions(value: DatePickerValue | undefined): import("../../../../../querying/filters/types").ShortcutOption[];
